Create a client
curl --request POST \
--url https://api.contazen.ro/v1/clients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"cui": "<string>",
"cui_prefix": "<string>",
"rc": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "RO",
"postal_code": "<string>",
"iban": "<string>",
"bank": "<string>",
"contact_person": "<string>"
}
'import requests
url = "https://api.contazen.ro/v1/clients"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"cui": "<string>",
"cui_prefix": "<string>",
"rc": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "RO",
"postal_code": "<string>",
"iban": "<string>",
"bank": "<string>",
"contact_person": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
phone: '<string>',
cui: '<string>',
cui_prefix: '<string>',
rc: '<string>',
address: '<string>',
city: '<string>',
county: '<string>',
country: 'RO',
postal_code: '<string>',
iban: '<string>',
bank: '<string>',
contact_person: '<string>'
})
};
fetch('https://api.contazen.ro/v1/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "cli_1a2b3c4d5e",
"object": "client",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"cui": "<string>",
"cui_prefix": "<string>",
"rc": "<string>",
"address": "<string>",
"city": "<string>",
"county": "<string>",
"country": "<string>",
"postal_code": "<string>",
"iban": "<string>",
"bank": "<string>",
"contact_person": "<string>",
"created_at": 123,
"updated_at": 123,
"metadata": {
"invoices_count": 123,
"total_invoiced": 123,
"unpaid_total": 123
},
"stats": {
"total_invoiced": 123,
"total_collected": 123,
"avg_payment_days": 123,
"last_payment": {
"date": 123,
"amount": 123,
"currency": "<string>",
"bill_id": "<string>",
"bill_number": "<string>"
},
"monthly_series": [
{
"label": "Mar 2026",
"year": 123,
"month": 123,
"invoiced": 123,
"collected": 123
}
]
}
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}Clients
Create Client
Create a new client
POST
/
clients
Create a client
Authorizations
Use your API key (sk_live_xxx or sk_test_xxx)
Body
application/json
Required string length:
1 - 255Tax identification number
Trade register number
For București, include the sector (e.g. "București, Sector 1").
Bank name
Was this page helpful?
⌘I